#
# RecurringEvent/__init__.py
#

from Globals import package_home
from Products.CMFCore import permissions, DirectoryView
from Products.CMFPlone.utils import ToolInit
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.Archetypes.utils import capitalize
import os, os.path, sys;
import content 
#, widget
from config import *

# Get configuration data & permissions
from Products.RecurringEvent.config import *
from Products.RecurringEvent.utils import DT2m, daysAsKeywords, weeksAsKeywords, monthsAsKeywords, FDOM, FDOW, checkDH, security

# Registers skins directories so they can be added to portal_skins
DirectoryView.registerDirectory('skins', product_globals)
DirectoryView.registerDirectory('skins/RecurringEvent', product_globals)

def initialize(context):
    # Import the type, which results in registerType() being called
    from content import RecurringEvent

    # initialize the content, including types and add permissions
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)


    from Products.CMFCore.utils import ContentInit
    ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = DEFAULT_ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

